    Plot the chi-squared value for each point in a data set.

plot_chisqr(id=None, replot=False, overplot=False, clearwindow=True, **kwargs)
id - int or str, optional
replot - bool, optional
overplot - bool, optional
clearwindow - bool, optional

This function displays the square of the residuals (data - model) divided by the error, for a data set.

Plot the chi-quare values for each point in the default data set:

>>> plot_chisqr()

Overplot the values from the 'core' data set on those from the 'jet' dataset:

>>> plot_chisqr('jet') >>> plot_chisqr('core', overplot=True)

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The data set. If not given then the default identifier is used, as returned by `get_default_id` .
replot
Set to True to use the values calculated by the last call to `plot_chisqr` . The default is False .
overplot
If True then add the data to an existing plot, otherwise create a new plot. The default is False .
clearwindow
Should the existing plot area be cleared before creating this new plot (e.g. for multi-panel plots)?

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023